Subject: RE: [Tsvwg] SCTP and NAT traversal in the Applicability Statement .

From: Tuexen Michael <[email-masked]>
Date: Wed, 16 May 2001 10:55:47 +0200

Dear all,

as far as I know, the AS will become an informational RFC and
thus should not use MUST and so on. Even a requirements doc does
not use the capital letter words.

Best regards
Michael

Michael Tuexen    Tel.:   +49 89 722 47210
Siemens AG        Fax:    +49 89 722 48212
ICN WN CS SE 51   E-mail: [email-masked]

> -----Original Message-----
> From:	Randall R. Stewart [SMTP:[email-masked]]
> Sent:	Wednesday, May 16, 2001 2:50 AM
> To:	sigtran
> Cc:	[email-masked]; [email-masked]
> Subject:	Re: [Tsvwg] SCTP and NAT traversal in the Applicability Statement.
> 
> John:
> 
> Is the appl statement a Informational RFC or a Standards
> track RFC? I can't remember... but I do think that if
> it is the former you MUST NOT use SHOULD/MUST MAY :-)
> Only if it is standards track can you use this wording... or
> then again I may be wrong :/ its late here and I am tired..
> 
> R
> 
> [email-masked] wrote:
> > 
> > Hi all,
> > 
> > The recent discussion of IPv6 address scoping produced a couple
> > of questions on how SCTP should traverse NATs & use private
> > addresses.  It is not in the RFC, but there is discussion of it
> > in the applicability statement, section 3.2.  As I re-read the
> > text, I think think that the text is fine, but it does not
> > use the the common method of expressing requirements such
> > as MUST and SHOULD (all are lower case in the document).  I think
> > that these SHOULD (MUST?) be addressed before publication as
> > an RFC.
> > 
> > John
> > 
> > _______________________________________________
> > tsvwg mailing list
> > [email-masked]
> > http://www1.ietf.org/mailman/listinfo/tsvwg
> 
> -- 
> Randall R. Stewart
> [email-masked] or [email-masked]
> 815-342-5222 (cell) 815-477-2127 (work)
> 
> 
> ---
> You are currently subscribed to sigtran as: [email-masked]
> To unsubscribe send a blank email to [email-masked]

_______________________________________________
tsvwg mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/tsvwg

---

From: Coene Lode <[email-masked]>
Date: Wed, 16 May 2001 14:24:04 +0200

> 
> On Wed, 16 May 2001, Jim Bound wrote:
> 
> > Good point John.  For rfc2553bis (base API for IPv6) we use MUST and
> > SHOULDs and it is informational RFC and we had many 
> conversations about
> > should vs must.  
> 
> If it's informational, they'll all get transmogrified to lower case
> before leaving the RFC editor's hands. Or it will get kicked back for
> a rewrite.
> 
> An informational document can't imply requirements...
> 
> L.
>
The applicability statement is not a document describing a protocol, nor is
it describing a API. Therefore it can only be a informational document where
MUST, SHOULD etc have the same interpretation as must, should ...
Ignore a MUST, SHOULD... in a protocol document and it won't work, period.
Ignore a must, should... in a applicability statment and it still will work,
but not very well.

If comments from IESG indicates changes to upper or lower case, then we'll
take that into account, but up till now, no indication has appeared that
this uppercase stuff is mandatory for a applicability statement.

(I'll have a scan for the uppercase stuff in the sua doc, John)

Yours sincerly,
Lode+

Siemens Atea ICN D CS D
Software Development 
Atealaan 34     
B-2200    Herentals    Belgium         
Tel +32-14-25-2081   /  Fax +32-14-25-3212
E-mail:   [email-masked]
 
> 
> > 
> > /jim
> > 
> > On Wed, 16 May 2001 [email-masked] wrote:
> > 
> > > Hi Randy,
> > > 
> > > I'm not going to fuss about this one.  There is a lot of other
> > > things to fuss about :P
> > > 
> > > 2119 says:
> > > 
> > > 
> > >    In many standards track documents several words are 
> used to signify
> > >    the requirements in the specification.  These words are often
> > >    capitalized.  This document defines these words as 
> they should be
> > >    interpreted in IETF documents.  Authors who follow 
> these guidelines
> > >    should incorporate this phrase near the beginning of 
> their document:
> > > 
> > >       The key words "MUST", "MUST NOT", "REQUIRED", 
> "SHALL", "SHALL
> > >       NOT", "SHOULD", "SHOULD NOT", "RECOMMENDED",  "MAY", and
> > >       "OPTIONAL" in this document are to be interpreted 
> as described in
> > >       RFC 2119.
> > > 
> > >    Note that the force of these words is modified by the 
> requirement
> > >    level of the document in which they are used.
> > > 
> > > so, the $64,000 guestions is, does the AS imply any 
> requirements.  If
> > > so, I suggest using MUST, SHOULD, etc.  If it is not 
> setting (or implying)
> > > requirements, then it is a non-issue.
> 
> <[email-masked]>PGP<http://www.ee.surrey.ac.uk/Personal/L.Wood/>
> 
>